<?php

namespace Fivable\Buildable\Requests;

use Illuminate\Foundation\Http\FormRequest;

class BuildablePageRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'metas.password.value' => 'required_if:status_mask,4',
        ];
    }
}
